# eoTruncateSplit< EOT > Class Template Reference

deterministic truncation method using sort More...

`#include <eoReduceSplit.h>`

Inheritance diagram for eoTruncateSplit< EOT >:

List of all members.

## Public Member Functions

| eoTruncateSplit (eoHowMany _howMany, bool _returnEliminated=false)
| Ctor: must provide amount of reduction, and whether or not you need to return the eliminated guys.
void | operator() (eoPop< EOT > &_newgen, eoPop< EOT > &_eliminated)
| do the jonb

## Private Attributes

eoHowMany | howMany
bool | returnEliminated

## Detailed Description

### template<class EOT>
class eoTruncateSplit< EOT >

deterministic truncation method using sort

Definition at line 47 of file eoReduceSplit.h.

The documentation for this class was generated from the following file:

- eoReduceSplit.h